LPQ(1)

NAZWA
lpq - program badający kolejkę buforowania druku

SKŁADNIA
lpq [-a] [-A] [-l] [-L] [-P printer] [-s] [-t sleeptime] [-V] [-D debugopt] [jobid...]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

lpq żąda od lpd(8) raportu o stanie zadanych drukarek lub zadań. Wywołane bez argumentów powiadamia o stanie o drukarki domyślnej (zobacz opcja -P). Format krótki (domyślny) podaje po prostu drukarkę, hosta i liczbę zadań w kolejce druku. W długim formacie wyświetlania (opcja -l), dla każdego zadania wypisywany jest jego identyfikator, tworzony z nazwy użytkownika i hosta inicjującego, aktualna pozycja w kolejce, numer zadania (można go podać poleceniu lprm(1), by usunąć konkretne zadanie), opis zadania i całkowity rozmiar w bajtach. Jeżeli wystąpił błąd lub inny kłopot z zadaniem, informacja ta może być zmieniona, tak by odzwierciedlała kłopoty. Zadania w kolejce buforowania druku uporządkowane są według FIFO (First In First Out, pierwszy na wejściu - pierwszy na wyjściu), ze zmianami zależnymi od klasy i priorytetu zadania.

Dostępne są następujące opcje:

-A  Przy wysyłaniu żądań do serwera używa uwierzytelniania. lpd(1).

-Ddebugoptions
    Steruje debugowaniem. Przyjmuje listę rozdzielanych przecinkami ustawień diagnostycznych. Ustawienia te mają jedną z dwu postaci: podsystem=wartość lub wartość, ustawiająca ogólną wartość domyślną.

-P printer
    Określa, jaka kolejka drukarki ma być wypisana. Jeżeli nie ustawiono nazwy kolejki przy pomocy tej opcji, to stosowana jest domyślna. Kolejkę domyślną wskazują (w kolejności priorytetu): zmienna środowiskowa PRINTER, pierwsza pozycja w bazie printcap, wpis default_printer pliku konfiguracyjnego i, na koniec, wkompilowana (zależna od hosta) wartość default_printer. Zauważ, że podanie drukarki specjalnej all (wszystkie) ma ten sam skutek, co opcja -a.

-V  Wypisuje informację o wersji.

-a  Wypisuje jest raport dla wszystkich drukarek ujętych w bazie printcap(5). Zestawienie to jest tworzone przez serwer, i może się różnić od tego, co zawiera printcap użytkownika.

-l  Powiększa wymowność długiego (-ong) formatu wyświetlania. Pojedyncza opcja -l określa niewielką opisowość, wielokrotna zwiększa rozwlekłość informacji.

-L  Używa maksymalnej gadatliwości długiego formatu wyświetlania.

-s  Wyświetla krótkie, jednowierszowe podsumowanie stanu każdej kolejki i podkolejki.

-tsleeptime
    Wymusza na lpq okresowe wyświetlanie kolejek druku i odczekiwanie sleeptime sekund pomiędzy kolejnymi badaniami kolejki.

jobid ... [all]
    Po opcjach występuje lista zadań, których ma dotyczyć raport. Zadanie (jobid) może być wskazane przez nazwę użytkownika, identyfikator zadania, numer zadania lub wzorzec uogólniający, do jakiego powinny pasować identyfikatory zadań. Słowo kluczowe all (wszystkie) oznacza wypisanie wszystkich zadań. Jest to opcja domyślna.

lpq zgłasza stan kolejki druku ('enabled' dla buforowania druku, 'disabled' dla braku buforowania) i brak serwera, jeśli włączony jest brak buforowania. Do uruchomienia serwera druku można wówczas posłużyć się poleceniem
lpc start <drukarka>

PLIKI

Nazwy plików używane przez LPRng ustawiane są wartościami w pliku konfiguracyjnym drukarek. Poniżej podano powszechnie używany zestaw wartości domyślnych.
/etc/lpd.conf                        plik konfiguracyjny LPRng
/etc/printcap                        plik opisu drukarek
/etc/lpd.perms                       uprawnienia drukarek
/var/spool/printer*                  katalogi buforowania
/var/spool/printer*/printer          plik blokujący sterowania kolejką
/var/spool/printer*/control.printer  sterowanie kolejką
/var/spool/printer*/active.printer   aktywne zadanie
/var/spool/printer*/log.printer      plik dziennika drukarki

ZOBACZ TAKŻE
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1).

DIAGNOSTYKA
Większość komunikatów diagnostycznych jest oczywista. Jeśli dokładny powód niepowodzenia pozostaje niejasny, należy włączyć poziom debugowania (-D5) i uruchomić ponownie. Informacja diagnostyczna pomoże uchwycić dokładną przyczynę.

HISTORIA
LPRng jest rozszerzonym systemem buforowania wydruku o funkcjonalności podobnej do oprogramowania Berkeley LPR. Listą dyskusyjną o LPRng jest lprng@lprng.com; subskrypcja przez wysłanie listu do lprng-request@lprng.com ze słowem `subscribe` w treści. Oprogramowanie to jest dostępne z ftp://ftp.astart.com/pub/LPRng.

AUTOR
Patrick Powell <papowell@astart.com>.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 lpq

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.